Bug 173183 - taipeifonts needs modular X reorganization
taipeifonts needs modular X reorganization
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: taipeifonts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Leon Ho
Bill Huang
: i18n
Depends On:
Blocks: 171491 FC5Blocker
  Show dependency treegraph
 
Reported: 2005-11-14 14:59 EST by Warren Togami
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: fonts-chinese-3.02-4.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-15 23:24:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2005-11-14 14:59:44 EST
taipeifonts still installs into /usr/X11R6/lib/X11/fonts/misc/ and requires the
old /usr/X11R6/bin/mkfontdir which needs to be changed to Requires: mkfontdir
for modular X.

What should we do with it?
1) Change the package to install into /usr/share/fonts/taipei/misc/
2) Change the package to install into /usr/share/fonts/chinese/misc/ along side
the fonts from fonts-chinese.
3) Merge taipeifonts into fonts-chinese, then obsolete and provide it.

We need a decision and package built before rawhide run Tuesday.
Comment 1 Leon Ho 2005-11-14 23:01:54 EST
Yup, used 3). 3.02-1 fixes the problem. Will email Elliot to move the
taipeifonts package.
Comment 2 Lawrence Lim 2005-12-15 23:24:32 EST
Confirmed fixed. taipeifonts packages has been depreacated and merged into
fonts-chinese.

/usr/share/fonts/chinese/misc/taipei16.pcf.gz
/usr/share/fonts/chinese/misc/taipei20.pcf.gz
/usr/share/fonts/chinese/misc/taipei24.pcf.gz


Thanks.

Note You need to log in before you can comment on or make changes to this bug.